#version 150

// vertexPosition was bound to attribute index 0 and vertexColor was bound to attribute index 1
in vec3 vertexPosition;
in vec3 vertexNormal;
in vec4 vertexColor;
in vec2 vertexTextureUV;
 
// Our outputs the next shader (fragment) in the chain
out vec4 fragmentColor;
out vec2 fragmentTextureUV;

uniform mat4 mvpMatrix;

void main(void)
{
    gl_Position = mvpMatrix * vec4(vertexPosition, 1.0);

//    fragmentNormal = vec3(normalize(modelViewMatrix * vec4(vertexNormal, 0.0)));
    fragmentColor = vertexColor;
    fragmentTextureUV = vertexTextureUV;
}
