#version 150

// vertexPosition was bound to attribute index 0 and vertexColor was bound to attribute index 1
in vec3 vertexPosition;
in vec3 vertexNormal;
in vec4 vertexColor;
in vec2 vertexTextureUV;
 
// Our outputs the next shader (fragment) in the chain
out vec3 fragmentNormal;
out vec4 fragmentColor;
out vec2 fragmentTextureUV;

uniform mat4 mvpMatrix;

void main(void)
{
    gl_Position = vec4(vertexPosition, 1.0) * mvpMatrix;

    fragmentNormal = vertexNormal;
    fragmentColor = vertexColor;
    fragmentTextureUV = vertexTextureUV;
}
